Name:           perl-DBIx-Class-OptimisticLocking
Version:        0.02
Release:        7%{?dist}
Summary:        Optimistic locking support for DBIx::Class
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/DBIx-Class-OptimisticLocking/
Source0:        http://www.cpan.org/authors/id/B/BP/BPHILLIPS/DBIx-Class-OptimisticLocking-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(DBD::SQLite)
BuildRequires:  perl(DBIx::Class)
BuildRequires:  perl(DBIx::Class::Schema)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Pod::Coverage::TrustPod)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
BuildRequires:  perl(Test::Pod) >= 1.41
BuildRequires:  perl(base)
BuildRequires:  perl(lib)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Optimistic locking is an alternative to using exclusive locks when you have
the possibility of concurrent, conflicting updates in your database.
 
%prep
%setup -q -n DBIx-Class-OptimisticLocking-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*
find $RPM_BUILD_ROOT -type f -name .packlist -print -delete

%check
RELEASE_TESTING=1 make test

%files
%doc Changes README
# incorrect fsf address reported upstream
# https://rt.cpan.org/Ticket/Display.html?id=106640
%license LICENSE
%{perl_vendorlib}/DBIx*
%{_mandir}/man3/DBIx*

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.02-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.02-6
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.02-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue May 17 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.02-4
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.02-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Aug 25 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.02-2
- Take into account review comments (#1256255)

* Sat Aug 15 2015 Emmanuel Seyman <emmanuel@seyman.fr> 0.02-1
- Specfile autogenerated by cpanspec 1.78.
